export default {
    data(){
        return{
            formInline: {
                windfarm: "",
                project: "",
                line: "",
            },
            tableData: [{
                date: '2016-05-02',
                name: '王小虎',
                address: '上海市普陀区金沙江路 1518 弄'
            }, {
                date: '2016-05-04',
                name: '王小虎',
                address: '上海市普陀区金沙江路 1517 弄'
            }, {
                date: '2016-05-01',
                name: '王小虎',
                address: '上海市普陀区金沙江路 1519 弄'
            }, {
                date: '2016-05-03',
                name: '王小虎',
                address: '上海市普陀区金沙江路 1516 弄'
            }],
            options: [],
            tableSwitch:false,
            value: '',
            value2: '',
            timedate: [],
            multipleSelection:[],
            multipleSelection1:[],
            multipleSelection2:[],
            orderByColumn:'',
            isAsc:'asc',
            fdcLineData:[],
            fdcLineData2:[],
            currentPage2: 1,
            pagesize: 10,
            cid:[],
            cid1:'',
            cid2:'',
            wpId:[],
            beginDate:'',
            endDate:'',
            dialogTableVisible:false,
            sortInOrder:[],
            sortInOrderTop:[],
            fdcName1:'',
            fdcName2:'',
            sortInOrde2:[],
            getTableData:[],
            updateTime:'',
            updateTime1:'',
        }
    },
    filters: {
      rounding (value) {
      return value.toFixed(2)
      }
    },
    created(){
        this.getDataLine();
    },
    methods:{
        queryApData() {
            this.getDataLine();
        },
        queryApDataMx() {
            this.dialogTableVisible = true;
            if (this.multipleSelection1.length + this.multipleSelection2.length == 2) {
              this.multipleSelection = this.multipleSelection1.concat(this.multipleSelection2);
            } else {
              this.$message.error("请选两个风场！");
              return;
            }
            console.log(this.multipleSelection)
            if(this.multipleSelection.length==2){
              this.fdcName1 = this.multipleSelection[0].wtName;
              this.fdcName2 = this.multipleSelection[1].wtName;
              this.sortInOrder.push(this.multipleSelection[0].fnlyl,this.multipleSelection[0].xqjsl,
              this.multipleSelection[0].ztzhjsl,this.multipleSelection[0].fwjsl,this.multipleSelection[0].slssl,
              this.multipleSelection[0].xnssl,this.multipleSelection[0].qfl,this.multipleSelection[0].jxssl,
              this.multipleSelection[0].gzssl);
              this.sortInOrderTop.push(this.multipleSelection[1].fnlyl,this.multipleSelection[1].xqjsl,
              this.multipleSelection[1].ztzhjsl,this.multipleSelection[1].fwjsl,this.multipleSelection[1].slssl,
              this.multipleSelection[1].xnssl,this.multipleSelection[1].qfl,this.multipleSelection[1].jxssl,
              this.multipleSelection[1].gzssl);
              for(let i=0;i<this.multipleSelection.length;i++){
              this.sortInOrde2.push({product:this.multipleSelection[i].wtName,'限电损失电量单位:万KWh':this.multipleSelection[i].xdss,
                    '故障损失电量单位:万KWh':this.multipleSelection[i].gzss,'检修损失电量单位:万KWh':this.multipleSelection[i].jxssl,
                    '性能损失电量单位:万KWh':this.multipleSelection[i].xnssl,'受累损失电量单位:万KWh':this.multipleSelection[i].slss});
              }
              this.getTableData.push({index:'发电量',data1:this.multipleSelection[0].scadafdl,data2:this.multipleSelection[1].scadafdl});
              this.getTableData.push({index:'故障损失电量',data1:this.multipleSelection[0].gzss,data2:this.multipleSelection[1].gzss});
              this.getTableData.push({index:'检修损失电量',data1:this.multipleSelection[0].jxssl,data2:this.multipleSelection[1].jxssl});
              this.getTableData.push({index:'性能未达标损失电量',data1:this.multipleSelection[0].xnsslfraction,data2:this.multipleSelection[1].xnsslfraction});
              this.getTableData.push({index:'受累损失电量',data1:this.multipleSelection[0].slss,data2:this.multipleSelection[1].slss});
              this.getTableData.push({index:'风能利用率',data1:this.multipleSelection[0].fnlyl,data2:this.multipleSelection[1].fnlyl});
              this.getTableData.push({index:'故障损失率',data1:this.multipleSelection[0].gzssl,data2:this.multipleSelection[1].gzssl});
              this.getTableData.push({index:'检修损失率',data1:this.multipleSelection[0].jxssl,data2:this.multipleSelection[1].jxssl});
              this.getTableData.push({index:'弃风率',data1:this.multipleSelection[0].qfl,data2:this.multipleSelection[1].qfl});
              this.getTableData.push({index:'性能损失率',data1:this.multipleSelection[0].xnssl,data2:this.multipleSelection[1].xnssl});
              this.getTableData.push({index:'受累损失率',data1:this.multipleSelection[0].slssl,data2:this.multipleSelection[1].slssl});
              this.getTableData.push({index:'复位及时率',data1:this.multipleSelection[0].fwjsl,data2:this.multipleSelection[1].fwjsl});
              this.getTableData.push({index:'消缺及时率',data1:this.multipleSelection[0].xqjsl,data2:this.multipleSelection[1].xqjsl});
              this.getTableData.push({index:'状态转换率',data1:this.multipleSelection[0].ztzhjsl,data2:this.multipleSelection[1].ztzhjsl});        
            }
            this.$nextTick(function() {
                this.drawPie('leiDaTu3')
            })
            this.$nextTick(function() {
                this.drawPie2('leiDaTu4')
            })
        },
        getDataLine(){
          this.API.get('/powercompare/windfarmAjax').then((res) => {
              this.options = res.data;
          })
          this.wpId = this.$route.query.wpId;
          this.cid = this.$route.query.cid;
          console.log(this.wpId)
          if(this.value == ''){
            if(this.wpId.length == 2){
              this.tableSwitch = true;
              this.value = this.wpId[0];
              this.value2 = this.wpId[1];
              this.cid1 = this.cid[0];
              this.cid2 = this.cid[1];
              this.FiveLossTableData1();
            }else{
              this.value = this.wpId;
              this.cid1 = this.cid;
              this.FiveLossTableData1();
            }
          }else{
              this.FiveLossTableData1();
          }
        },
        FiveLossTableData1(){
            var newData = new Date();
            this.updateTime = this.BASE.getBzDate(newData.getTime(), 0);
            this.updateTime1 = this.BASE.getBzDate(newData.getTime(), -1);
            if(this.timedate == ''){
              this.timedate[0] = this.updateTime1;
              this.timedate[1] = this.updateTime;
              this.beginDate = this.timedate[0];
              this.endDate = this.timedate[1];
            }else{
              this.beginDate = this.timedate[0];
              this.endDate = this.timedate[1];
            }
            var interValueLineData = new URLSearchParams();
            interValueLineData.append('pageNum',this.currentPage2);
            interValueLineData.append('pageSize',this.pagesize);
            interValueLineData.append('orderByColumn',this.orderByColumn);
            interValueLineData.append('isAsc',this.isAsc);
            interValueLineData.append('cid',this.cid1);
            interValueLineData.append('beginDate',this.beginDate);
            interValueLineData.append('endDate',this.endDate);
            interValueLineData.append('wpId',this.value);
            this.API.post('/contrast/benchmarkZjWtList',interValueLineData).then((res) => {
              console.log(res)
              this.fdcLineData = res.data;
          })
          this.FiveLossTableData2();
        },
        FiveLossTableData2(){
            if(this.timedate == ''){
              this.timedate[0] = this.updateTime1;
              this.timedate[1] = this.updateTime;
              this.beginDate = this.timedate[0];
              this.endDate = this.timedate[1];
            }else{
              this.beginDate = this.timedate[0];
              this.endDate = this.timedate[1];
            }
            if(this.value2.length > 0){
                this.tableSwitch = true;
            }else{
                this.tableSwitch = false;
            }
            var interValueLineData = new URLSearchParams();
            interValueLineData.append('pageNum',this.currentPage2);
            interValueLineData.append('pageSize',this.pagesize);
            interValueLineData.append('orderByColumn',this.orderByColumn);
            interValueLineData.append('isAsc',this.isAsc);
            interValueLineData.append('cid',this.cid2);
            interValueLineData.append('beginDate',this.beginDate);
            interValueLineData.append('endDate',this.endDate);
            interValueLineData.append('wpId',this.value2);
            this.API.post('/contrast/benchmarkZjWtList',interValueLineData).then((res) => {
             this.fdcLineData2 = res.data;
          })
        },
        headStyle() {
			    return "text-align:center"
		    },
        handleSelectionChange(val) {
            this.sortInOrder = [];
            this.sortInOrderTop = [];
            this.getTableData = [];
            this.sortInOrde2 = [];
            this.multipleSelection1 = [];
            this.multipleSelection1 = val;
        },
        handleSelectionChange2(val) {
            this.sortInOrder = [];
            this.sortInOrderTop = [];
            this.getTableData = [];
            this.sortInOrde2 = [];
            this.multipleSelection2 = [];
            this.multipleSelection2 = val;
        },
        changeTableSort(column){
          this.orderByColumn = column.prop;
          if(column.order == "descending"){
            this.isAsc = 'desc';
          }else if(column.order == "ascending"){
            this.isAsc = "asc";
          }
          this.getDataLine();
        },
        drawPie() {
            var charts;
            if (charts != null && charts != "" && charts != undefined){
                charts.dispose();
            }
            charts= this.$echarts.init(document.getElementById('leiDaTu3'));
            let option = {
              title: {
            // text: '对标排名分析',
            left: 'center'
        },
        tooltip: {},
        // legend: {
        //     data: ['预算分配（Allocated Budget）', '实际开销（Actual Spending）'],
        //     left: 'right'
        // },
        radar: {
            // shape: 'circle',
            name: {
                textStyle: {
                    color: '#fff',
                    backgroundColor: '#999',
                    borderRadius: 3,
                    padding: [3, 5]
                }
            },
            indicator: [
                { name: '风能利用率', max: 150},
                { name: '消缺及时率', max: 150},
                { name: '状态转换率', max: 150},
                { name: '复位及时率', max: 150},
                { name: '受累损失率', max: 150},
                { name: '性能损失率', max: 150},
                { name: '弃风率', max: 150},
                { name: '检修损失率', max: 150},
                { name: '故障损失率', max: 150},
            ]
        },
        series: [{
            name: '预算 vs 开销（Budget vs spending）',
            type: 'radar',
            // areaStyle: {normal: {}},
            data: [
                {
                    value: this.sortInOrder,
                    name:this.fdcName1
                },
                {
                    value: this.sortInOrderTop,
                    name: this.fdcName2
                }
            ]
        }]
            }
            charts.clear();
            charts.setOption(option);
            
          },
          drawPie2() {
            var charts2;
            if (charts2 != null && charts2 != "" && charts2 != undefined){
                charts2.dispose();
            }
            charts2= this.$echarts.init(document.getElementById('leiDaTu4'));
            let option2 = {
              legend: {
                  orient: 'vertical',
                  left: 'right'
              },
              tooltip: {},
              dataset: {
                  dimensions: ['product', '限电损失电量单位:万KWh', '故障损失电量单位:万KWh', '检修损失电量单位:万KWh', '性能损失电量单位:万KWh', '受累损失电量单位:万KWh'],
                  source: this.sortInOrde2
              },
              xAxis: {type: 'category'},
              yAxis: {},
              series: [
                  {
                        // barGap:'100%',/*多个并排柱子设置柱子之间的间距*/
                        type: 'bar',
                        barWidth : 30,
                        itemStyle:{
                            normal:{
                                color:'#D201D8'
                            }
                        }
                    },
                    {
                        
                        type: 'bar',
                        barWidth : 30,
                        itemStyle:{
                            normal:{
                                color:'#FD0100'
                            }
                        }
                    },
                    {
                        
                        type: 'bar',
                        barWidth : 30,
                        itemStyle:{
                            normal:{
                                color:'#FF7B16'
                            }
                        }
                    },
                    {
                        
                        type: 'bar',
                        barWidth : 30,
                        itemStyle:{
                            normal:{
                                color:'#8085E9'
                            }
                        }
                    },
                    {
                        type: 'bar',
                        barWidth : 30,
                        itemStyle:{
                            normal:{
                                color:'#A6A6A6'
                            }
                        }
                    },
              ]
                  }
                  charts2.clear();
                  charts2.setOption(option2);
            
          },
          goReturn(){
            this.$router.push('/interValue')
          },
          toExcel(){}
          }

}